From 3d08826ffc42835611e7718f5c9ce1bbe9874456 Mon Sep 17 00:00:00 2001
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date: Sun, 23 Oct 2022 00:40:51 +0200
Subject: [PATCH 8/8] Bump upstream version to 1.1.0. Now with complete Python3
 support (also in unit tests).

Signed-off-by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
---
 ChangeLog.txt | 10 +++++++++-
 doc/conf.py   |  4 ++--
 src/setup.py  |  2 +-
 3 files changed, 12 insertions(+), 4 deletions(-)

diff --git a/ChangeLog.txt b/ChangeLog.txt
index 65759e3..1bbb1c9 100644
--- a/ChangeLog.txt
+++ b/ChangeLog.txt
@@ -1,10 +1,18 @@
+pam-python-1.1.0~UNRELEASED Fri, 22 Oct 2022 22:55:11 +0200
+
+  Finalize Python3 support.
+  Support unit tests on Python3.
+
+pam-python-1.0.9 Fri, 13 Nov 2020 07:18:11 +1000
+
+  Bug: Don't run tests for Debian.  They are Python2 only.
+
 pam-python-1.0.8 Thu,  5 Nov 2020 19:37:07 +1000
 
   New: Move towards python3 support.
   Bug: Fix overzealous local root exploit, allow distro site
        configuration.
 
-
 pam-python-1.0.7 Wed, 18 Sep 2019 20:23:54 +1000
 
   Bug: Local root exploit.
diff --git a/doc/conf.py b/doc/conf.py
index 97bcb93..9190999 100644
--- a/doc/conf.py
+++ b/doc/conf.py
@@ -1,7 +1,7 @@
 master_doc = 'pam_python'
 project = u'pam_python'
 copyright = u'2010,2014,2016,2019,2020, Russell Stuart'
-version = '1.0.8'
-release = '1.0.8'
+version = '1.1.0'
+release = '1.1.0'
 extensions = ['sphinx.ext.intersphinx']
 intersphinx_mapping = {'python': ('http://docs.python.org/2.7', None)}
diff --git a/src/setup.py b/src/setup.py
index f3378d9..b1702ae 100755
--- a/src/setup.py
+++ b/src/setup.py
@@ -43,7 +43,7 @@ ext_modules = [
 
 setup(
   name="pam_python",
-  version="1.0.8",
+  version="1.1.0",
   description="Enabled PAM Modules to be written in Python",
   keywords="pam,embed,authentication,security",
   platforms="Unix",
-- 
2.30.2

